Bug 195994 - writing (raw) PAM files with bytes_per_sample > 1 broken
writing (raw) PAM files with bytes_per_sample > 1 broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netpbm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
:
Depends On:
Blocks: FAST4.5APPROVED
  Show dependency treegraph
 
Reported: 2006-06-20 04:15 EDT by Morten Sylvest Olsen
Modified: 2013-07-02 19:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0651
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 15:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Morten Sylvest Olsen 2006-06-20 04:15:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. try to write a (raw) file with bytes_per_sample > 2
2. file is invalid
3.
  
Actual results:

invalid file of wrong size

Expected results:

a valid file...

Additional info:

The culprit is in lib/libpamwrite.c:

 switch(pamP->bytes_per_sample){
        case 1: format1BpsRow(pamP, tuplerow, outbuf, rowSizeP); break;
        case 2: format1BpsRow(pamP, tuplerow, outbuf, rowSizeP); break;
        case 3: format1BpsRow(pamP, tuplerow, outbuf, rowSizeP); break;
        case 4: format1BpsRow(pamP, tuplerow, outbuf, rowSizeP); break;

Which is obviously bogus.

This is fixed in version 1.33,  perhaps earlier, for fedora
Comment 1 Jindrich Novy 2006-06-27 04:44:31 EDT
Confirmed that this bug is present in netpbm-10.25 (RHEL4) and is fixed rawhide.
Comment 9 Red Hat Bugzilla 2006-10-11 15:14:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0651.html

Note You need to log in before you can comment on or make changes to this bug.